diff --git a/lib/vtls/schannel.c b/lib/vtls/schannel.c
index 4ad0ee861d587..32abcaa7446b4 100644
--- a/lib/vtls/schannel.c
+++ b/lib/vtls/schannel.c
@@ -186,10 +186,6 @@
 #define ALG_CLASS_DHASH ALG_CLASS_HASH
 #endif
 
-#ifndef PKCS12_NO_PERSIST_KEY
-#define PKCS12_NO_PERSIST_KEY 0x00008000
-#endif
-
 static Curl_recv schannel_recv;
 static Curl_send schannel_send;
 
@@ -680,13 +676,7 @@ schannel_acquire_credential_handle(struct Curl_easy *data,
         else
           pszPassword[0] = 0;
 
-        if(curlx_verify_windows_version(6, 0, 0, PLATFORM_WINNT,
-                                        VERSION_GREATER_THAN_EQUAL))
-          cert_store = PFXImportCertStore(&datablob, pszPassword,
-                                          PKCS12_NO_PERSIST_KEY);
-        else
-          cert_store = PFXImportCertStore(&datablob, pszPassword, 0);
-
+        cert_store = PFXImportCertStore(&datablob, pszPassword, 0);
         free(pszPassword);
       }
       if(!blob)
